# class Gem::Commands::SignoutCommand

### Public Class Methods

new ()
Source

    # File lib/rubygems/commands/signout_command.rb, line 6
    def initialize
      super "signout", "Sign out from all the current sessions."
    end

Calls superclass method `Gem::Command::new`

### Public Instance Methods

execute ()
Source

    # File lib/rubygems/commands/signout_command.rb, line 19
    def execute
      credentials_path = Gem.configuration.credentials_path

      if !File.exist?(credentials_path)
        alert_error "You are not currently signed in."
      elsif !File.writable?(credentials_path)
        alert_error "File '#{Gem.configuration.credentials_path}' is read-only."\
                    " Please make sure it is writable."
      else
        Gem.configuration.unset_api_key!
        say "You have successfully signed out from all sessions."
      end
    end